Skip to content

searchFontCatalog

GET
/api/v1/fonts/catalog
curl --request GET \
--url 'https://example.com/api/v1/fonts/catalog?category=sans-serif'

Search the Google Fonts catalog through the server. The server reads the Fontsource catalog and caches it. Requires the settings.manage capability.

q
string
<= 100 characters
category
string
Allowed values: sans-serif serif display handwriting monospace icons
limit
integer
>= 1 <= 100
offset
integer

One page of catalog families

Media typeapplication/json
object
data
required
object
families
required
Array<object>
object
id
required
string
family
required
string
category
required
string
license
required
string
subsets
required
Array<string>
weights
required
Array<integer>
styles
required
Array<string>
defaultSubset
required
string
variable
required
boolean
total
required
integer
Examplegenerated
{
"data": {
"families": [
{
"id": "example",
"family": "example",
"category": "example",
"license": "example",
"subsets": [
"example"
],
"weights": [
1
],
"styles": [
"example"
],
"defaultSubset": "example",
"variable": true
}
],
"total": 1
}
}

Dashboard authentication required

Insufficient capability

The catalog could not be reached

The catalog is disabled on this server